<?php
require_once(getabspath("classes/cipherer.php"));




$tdataprovider = array();
	$tdataprovider[".truncateText"] = true;
	$tdataprovider[".NumberOfChars"] = 80;
	$tdataprovider[".ShortName"] = "provider";
	$tdataprovider[".OwnerID"] = "provider_business_business_id";
	$tdataprovider[".OriginalTable"] = "provider";

//	field labels
$fieldLabelsprovider = array();
$fieldToolTipsprovider = array();
$pageTitlesprovider = array();
$placeHoldersprovider = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsprovider["English"] = array();
	$fieldToolTipsprovider["English"] = array();
	$placeHoldersprovider["English"] = array();
	$pageTitlesprovider["English"] = array();
	$fieldLabelsprovider["English"]["provider_id"] = "Stuff Id";
	$fieldToolTipsprovider["English"]["provider_id"] = "";
	$placeHoldersprovider["English"]["provider_id"] = "";
	$fieldLabelsprovider["English"]["provider_title_ar"] = "Name Ar";
	$fieldToolTipsprovider["English"]["provider_title_ar"] = "";
	$placeHoldersprovider["English"]["provider_title_ar"] = "";
	$fieldLabelsprovider["English"]["provider_title_en"] = "Name En";
	$fieldToolTipsprovider["English"]["provider_title_en"] = "";
	$placeHoldersprovider["English"]["provider_title_en"] = "";
	$fieldLabelsprovider["English"]["provider_tel"] = "Tel";
	$fieldToolTipsprovider["English"]["provider_tel"] = "";
	$placeHoldersprovider["English"]["provider_tel"] = "";
	$fieldLabelsprovider["English"]["provider_email"] = "Email";
	$fieldToolTipsprovider["English"]["provider_email"] = "";
	$placeHoldersprovider["English"]["provider_email"] = "";
	$fieldLabelsprovider["English"]["provider_status"] = "Status";
	$fieldToolTipsprovider["English"]["provider_status"] = "";
	$placeHoldersprovider["English"]["provider_status"] = "";
	$fieldLabelsprovider["English"]["provider_business_business_id"] = "Provider Business Business Id";
	$fieldToolTipsprovider["English"]["provider_business_business_id"] = "";
	$placeHoldersprovider["English"]["provider_business_business_id"] = "";
	if (count($fieldToolTipsprovider["English"]))
		$tdataprovider[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsprovider["Arabic"] = array();
	$fieldToolTipsprovider["Arabic"] = array();
	$placeHoldersprovider["Arabic"] = array();
	$pageTitlesprovider["Arabic"] = array();
	$fieldLabelsprovider["Arabic"]["provider_id"] = "رقم الموظف";
	$fieldToolTipsprovider["Arabic"]["provider_id"] = "";
	$placeHoldersprovider["Arabic"]["provider_id"] = "";
	$fieldLabelsprovider["Arabic"]["provider_title_ar"] = "الاسم بالعربي";
	$fieldToolTipsprovider["Arabic"]["provider_title_ar"] = "";
	$placeHoldersprovider["Arabic"]["provider_title_ar"] = "";
	$fieldLabelsprovider["Arabic"]["provider_title_en"] = "الاسم بالانجليزي";
	$fieldToolTipsprovider["Arabic"]["provider_title_en"] = "";
	$placeHoldersprovider["Arabic"]["provider_title_en"] = "";
	$fieldLabelsprovider["Arabic"]["provider_tel"] = "التلفون";
	$fieldToolTipsprovider["Arabic"]["provider_tel"] = "";
	$placeHoldersprovider["Arabic"]["provider_tel"] = "";
	$fieldLabelsprovider["Arabic"]["provider_email"] = "الايميل";
	$fieldToolTipsprovider["Arabic"]["provider_email"] = "";
	$placeHoldersprovider["Arabic"]["provider_email"] = "";
	$fieldLabelsprovider["Arabic"]["provider_status"] = "الحالة";
	$fieldToolTipsprovider["Arabic"]["provider_status"] = "";
	$placeHoldersprovider["Arabic"]["provider_status"] = "";
	$fieldLabelsprovider["Arabic"]["provider_business_business_id"] = "Provider Business Business Id";
	$fieldToolTipsprovider["Arabic"]["provider_business_business_id"] = "";
	$placeHoldersprovider["Arabic"]["provider_business_business_id"] = "";
	if (count($fieldToolTipsprovider["Arabic"]))
		$tdataprovider[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="")
{
	$fieldLabelsprovider[""] = array();
	$fieldToolTipsprovider[""] = array();
	$placeHoldersprovider[""] = array();
	$pageTitlesprovider[""] = array();
	if (count($fieldToolTipsprovider[""]))
		$tdataprovider[".isUseToolTips"] = true;
}


	$tdataprovider[".NCSearch"] = true;



$tdataprovider[".shortTableName"] = "provider";
$tdataprovider[".nSecOptions"] = 1;
$tdataprovider[".recsPerRowPrint"] = 1;
$tdataprovider[".mainTableOwnerID"] = "provider_business_business_id";
$tdataprovider[".moveNext"] = 1;
$tdataprovider[".entityType"] = 0;

$tdataprovider[".strOriginalTableName"] = "provider";

	



$tdataprovider[".showAddInPopup"] = true;

$tdataprovider[".showEditInPopup"] = true;

$tdataprovider[".showViewInPopup"] = true;

//page's base css files names
$popupPagesLayoutNames = array();
						
	;
$popupPagesLayoutNames["add"] = "add_bootstrap";
						
	;
$popupPagesLayoutNames["edit"] = "edit_bootstrap_2col";
						
	;
$popupPagesLayoutNames["view"] = "view_bootstrap_2col";
$tdataprovider[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataprovider[".fieldsForRegister"] = array();

$tdataprovider[".listAjax"] = false;

	$tdataprovider[".audit"] = false;

	$tdataprovider[".locking"] = false;

$tdataprovider[".edit"] = true;
$tdataprovider[".afterEditAction"] = 1;
$tdataprovider[".closePopupAfterEdit"] = 1;
$tdataprovider[".afterEditActionDetTable"] = "";

$tdataprovider[".add"] = true;
$tdataprovider[".afterAddAction"] = 1;
$tdataprovider[".closePopupAfterAdd"] = 1;
$tdataprovider[".afterAddActionDetTable"] = "";

$tdataprovider[".list"] = true;

$tdataprovider[".inlineEdit"] = true;

$tdataprovider[".updateSelected"] = true;

$tdataprovider[".reorderRecordsByHeader"] = true;


$tdataprovider[".exportFormatting"] = 2;
$tdataprovider[".exportDelimiter"] = ",";
		
$tdataprovider[".inlineAdd"] = true;
$tdataprovider[".copy"] = true;
$tdataprovider[".view"] = true;

$tdataprovider[".import"] = true;

$tdataprovider[".exportTo"] = true;

$tdataprovider[".printFriendly"] = true;


$tdataprovider[".showSimpleSearchOptions"] = false;

// Allow Show/Hide Fields in GRID
$tdataprovider[".allowShowHideFields"] = false;
//

// Allow Fields Reordering in GRID
$tdataprovider[".allowFieldsReordering"] = false;
//

// search Saving settings
$tdataprovider[".searchSaving"] = false;
//

$tdataprovider[".showSearchPanel"] = true;
		$tdataprovider[".flexibleSearch"] = true;

$tdataprovider[".isUseAjaxSuggest"] = true;

$tdataprovider[".rowHighlite"] = true;





$tdataprovider[".ajaxCodeSnippetAdded"] = false;

$tdataprovider[".buttonsAdded"] = false;

$tdataprovider[".addPageEvents"] = false;

// use timepicker for search panel
$tdataprovider[".isUseTimeForSearch"] = false;





$tdataprovider[".allSearchFields"] = array();
$tdataprovider[".filterFields"] = array();
$tdataprovider[".requiredSearchFields"] = array();



$tdataprovider[".googleLikeFields"] = array();
$tdataprovider[".googleLikeFields"][] = "provider_id";
$tdataprovider[".googleLikeFields"][] = "provider_business_business_id";
$tdataprovider[".googleLikeFields"][] = "provider_title_ar";
$tdataprovider[".googleLikeFields"][] = "provider_title_en";
$tdataprovider[".googleLikeFields"][] = "provider_tel";
$tdataprovider[".googleLikeFields"][] = "provider_email";
$tdataprovider[".googleLikeFields"][] = "provider_status";



$tdataprovider[".tableType"] = "list";

$tdataprovider[".printerPageOrientation"] = 0;
$tdataprovider[".nPrinterPageScale"] = 100;

$tdataprovider[".nPrinterSplitRecords"] = 40;

$tdataprovider[".nPrinterPDFSplitRecords"] = 40;



$tdataprovider[".geocodingEnabled"] = false;





$tdataprovider[".listGridLayout"] = 3;





// view page pdf

// print page pdf


$tdataprovider[".pageSize"] = 20;

$tdataprovider[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataprovider[".strOrderBy"] = $tstrOrderBy;

$tdataprovider[".orderindexes"] = array();

$tdataprovider[".sqlHead"] = "SELECT provider_id,  	provider_business_business_id,  	provider_title_ar,  	provider_title_en,  	provider_tel,  	provider_email,  	provider_status";
$tdataprovider[".sqlFrom"] = "FROM provider";
$tdataprovider[".sqlWhereExpr"] = "";
$tdataprovider[".sqlTail"] = "";












//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataprovider[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataprovider[".arrGroupsPerPage"] = $arrGPP;

$tdataprovider[".highlightSearchResults"] = true;

$tableKeysprovider = array();
$tableKeysprovider[] = "provider_id";
$tdataprovider[".Keys"] = $tableKeysprovider;

$tdataprovider[".listFields"] = array();
$tdataprovider[".listFields"][] = "provider_id";
$tdataprovider[".listFields"][] = "provider_title_ar";
$tdataprovider[".listFields"][] = "provider_title_en";
$tdataprovider[".listFields"][] = "provider_tel";
$tdataprovider[".listFields"][] = "provider_email";

$tdataprovider[".hideMobileList"] = array();


$tdataprovider[".viewFields"] = array();
$tdataprovider[".viewFields"][] = "provider_id";
$tdataprovider[".viewFields"][] = "provider_title_ar";
$tdataprovider[".viewFields"][] = "provider_title_en";
$tdataprovider[".viewFields"][] = "provider_tel";
$tdataprovider[".viewFields"][] = "provider_email";
$tdataprovider[".viewFields"][] = "provider_status";

$tdataprovider[".addFields"] = array();
$tdataprovider[".addFields"][] = "provider_title_ar";
$tdataprovider[".addFields"][] = "provider_title_en";
$tdataprovider[".addFields"][] = "provider_tel";
$tdataprovider[".addFields"][] = "provider_email";
$tdataprovider[".addFields"][] = "provider_status";

$tdataprovider[".masterListFields"] = array();
$tdataprovider[".masterListFields"][] = "provider_id";
$tdataprovider[".masterListFields"][] = "provider_title_ar";
$tdataprovider[".masterListFields"][] = "provider_title_en";
$tdataprovider[".masterListFields"][] = "provider_tel";
$tdataprovider[".masterListFields"][] = "provider_email";
$tdataprovider[".masterListFields"][] = "provider_status";

$tdataprovider[".inlineAddFields"] = array();
$tdataprovider[".inlineAddFields"][] = "provider_title_ar";
$tdataprovider[".inlineAddFields"][] = "provider_title_en";
$tdataprovider[".inlineAddFields"][] = "provider_tel";
$tdataprovider[".inlineAddFields"][] = "provider_email";

$tdataprovider[".editFields"] = array();
$tdataprovider[".editFields"][] = "provider_title_ar";
$tdataprovider[".editFields"][] = "provider_title_en";
$tdataprovider[".editFields"][] = "provider_tel";
$tdataprovider[".editFields"][] = "provider_email";
$tdataprovider[".editFields"][] = "provider_status";

$tdataprovider[".inlineEditFields"] = array();
$tdataprovider[".inlineEditFields"][] = "provider_title_ar";
$tdataprovider[".inlineEditFields"][] = "provider_title_en";
$tdataprovider[".inlineEditFields"][] = "provider_tel";
$tdataprovider[".inlineEditFields"][] = "provider_email";

$tdataprovider[".updateSelectedFields"] = array();
$tdataprovider[".updateSelectedFields"][] = "provider_title_ar";
$tdataprovider[".updateSelectedFields"][] = "provider_title_en";
$tdataprovider[".updateSelectedFields"][] = "provider_tel";
$tdataprovider[".updateSelectedFields"][] = "provider_email";
$tdataprovider[".updateSelectedFields"][] = "provider_status";


$tdataprovider[".exportFields"] = array();
$tdataprovider[".exportFields"][] = "provider_id";
$tdataprovider[".exportFields"][] = "provider_title_ar";
$tdataprovider[".exportFields"][] = "provider_title_en";
$tdataprovider[".exportFields"][] = "provider_tel";
$tdataprovider[".exportFields"][] = "provider_email";
$tdataprovider[".exportFields"][] = "provider_status";

$tdataprovider[".importFields"] = array();

$tdataprovider[".printFields"] = array();
$tdataprovider[".printFields"][] = "provider_id";
$tdataprovider[".printFields"][] = "provider_title_ar";
$tdataprovider[".printFields"][] = "provider_title_en";
$tdataprovider[".printFields"][] = "provider_tel";
$tdataprovider[".printFields"][] = "provider_email";
$tdataprovider[".printFields"][] = "provider_status";


//	provider_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "provider_id";
	$fdata["GoodName"] = "provider_id";
	$fdata["ownerTable"] = "provider";
	$fdata["Label"] = GetFieldLabel("provider","provider_id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			
		$fdata["bListPage"] = true;

	
	
	
	
	

		$fdata["bViewPage"] = true;

	
		$fdata["bPrinterPage"] = true;

		$fdata["bExportPage"] = true;

		$fdata["strField"] = "provider_id";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "provider_id";

	
	
				$fdata["FieldPermissions"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

		
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
	
		
	


		$edata["IsRequired"] = true;

	
	
			$edata["acceptFileTypes"] = ".+$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;








	$tdataprovider["provider_id"] = $fdata;
//	provider_business_business_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "provider_business_business_id";
	$fdata["GoodName"] = "provider_business_business_id";
	$fdata["ownerTable"] = "provider";
	$fdata["Label"] = GetFieldLabel("provider","provider_business_business_id");
	$fdata["FieldType"] = 3;

	
	
	
			
	
	
	
	
	
	

	
	
	
	
		$fdata["strField"] = "provider_business_business_id";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "provider_business_business_id";

	
	
			
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

		
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
	
		
	


		$edata["IsRequired"] = true;

	
	
			$edata["acceptFileTypes"] = ".+$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;








	$tdataprovider["provider_business_business_id"] = $fdata;
//	provider_title_ar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "provider_title_ar";
	$fdata["GoodName"] = "provider_title_ar";
	$fdata["ownerTable"] = "provider";
	$fdata["Label"] = GetFieldLabel("provider","provider_title_ar");
	$fdata["FieldType"] = 200;

	
	
	
			
		$fdata["bListPage"] = true;

		$fdata["bAddPage"] = true;

		$fdata["bInlineAdd"] = true;

		$fdata["bEditPage"] = true;

		$fdata["bInlineEdit"] = true;

		$fdata["bUpdateSelected"] = true;


		$fdata["bViewPage"] = true;

	
		$fdata["bPrinterPage"] = true;

		$fdata["bExportPage"] = true;

		$fdata["strField"] = "provider_title_ar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "provider_title_ar";

	
	
				$fdata["FieldPermissions"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

		
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
	
		
	


	
	
	
			$edata["acceptFileTypes"] = ".+$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;








	$tdataprovider["provider_title_ar"] = $fdata;
//	provider_title_en
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "provider_title_en";
	$fdata["GoodName"] = "provider_title_en";
	$fdata["ownerTable"] = "provider";
	$fdata["Label"] = GetFieldLabel("provider","provider_title_en");
	$fdata["FieldType"] = 200;

	
	
	
			
		$fdata["bListPage"] = true;

		$fdata["bAddPage"] = true;

		$fdata["bInlineAdd"] = true;

		$fdata["bEditPage"] = true;

		$fdata["bInlineEdit"] = true;

		$fdata["bUpdateSelected"] = true;


		$fdata["bViewPage"] = true;

	
		$fdata["bPrinterPage"] = true;

		$fdata["bExportPage"] = true;

		$fdata["strField"] = "provider_title_en";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "provider_title_en";

	
	
				$fdata["FieldPermissions"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

		
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
	
		
	


	
	
	
			$edata["acceptFileTypes"] = ".+$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;








	$tdataprovider["provider_title_en"] = $fdata;
//	provider_tel
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "provider_tel";
	$fdata["GoodName"] = "provider_tel";
	$fdata["ownerTable"] = "provider";
	$fdata["Label"] = GetFieldLabel("provider","provider_tel");
	$fdata["FieldType"] = 200;

	
	
	
			
		$fdata["bListPage"] = true;

		$fdata["bAddPage"] = true;

		$fdata["bInlineAdd"] = true;

		$fdata["bEditPage"] = true;

		$fdata["bInlineEdit"] = true;

		$fdata["bUpdateSelected"] = true;


		$fdata["bViewPage"] = true;

	
		$fdata["bPrinterPage"] = true;

		$fdata["bExportPage"] = true;

		$fdata["strField"] = "provider_tel";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "provider_tel";

	
	
				$fdata["FieldPermissions"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

		
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
	
		
	


	
	
	
			$edata["acceptFileTypes"] = ".+$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;








	$tdataprovider["provider_tel"] = $fdata;
//	provider_email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "provider_email";
	$fdata["GoodName"] = "provider_email";
	$fdata["ownerTable"] = "provider";
	$fdata["Label"] = GetFieldLabel("provider","provider_email");
	$fdata["FieldType"] = 200;

	
	
	
			
		$fdata["bListPage"] = true;

		$fdata["bAddPage"] = true;

		$fdata["bInlineAdd"] = true;

		$fdata["bEditPage"] = true;

		$fdata["bInlineEdit"] = true;

		$fdata["bUpdateSelected"] = true;


		$fdata["bViewPage"] = true;

	
		$fdata["bPrinterPage"] = true;

		$fdata["bExportPage"] = true;

		$fdata["strField"] = "provider_email";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "provider_email";

	
	
				$fdata["FieldPermissions"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

		
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
	
		
	


	
	
	
			$edata["acceptFileTypes"] = ".+$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;








	$tdataprovider["provider_email"] = $fdata;
//	provider_status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "provider_status";
	$fdata["GoodName"] = "provider_status";
	$fdata["ownerTable"] = "provider";
	$fdata["Label"] = GetFieldLabel("provider","provider_status");
	$fdata["FieldType"] = 3;

	
	
	
			
	
		$fdata["bAddPage"] = true;

	
		$fdata["bEditPage"] = true;

	
		$fdata["bUpdateSelected"] = true;


		$fdata["bViewPage"] = true;

	
		$fdata["bPrinterPage"] = true;

		$fdata["bExportPage"] = true;

		$fdata["strField"] = "provider_status";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "provider_status";

	
	
				$fdata["FieldPermissions"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

		
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
	
		
	


	
	
	
			$edata["acceptFileTypes"] = ".+$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;








	$tdataprovider["provider_status"] = $fdata;


$tables_data["provider"]=&$tdataprovider;
$field_labels["provider"] = &$fieldLabelsprovider;
$fieldToolTips["provider"] = &$fieldToolTipsprovider;
$placeHolders["provider"] = &$placeHoldersprovider;
$page_titles["provider"] = &$pageTitlesprovider;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["provider"] = array();
//	service_provider
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="service_provider";
		$detailsParam["dOriginalTable"] = "service_provider";
		$detailsParam["proceedLink"] = true;
				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "service_provider";
	$detailsParam["dCaptionTable"] = GetTableCaption("service_provider");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();

	$detailsParam["dispChildCount"] = "1";

		$detailsParam["hideChild"] = false;
						$detailsParam["previewOnList"] = "1";
		$detailsParam["previewOnAdd"] = 1;
		$detailsParam["previewOnEdit"] = 1;
		$detailsParam["previewOnView"] = 1;
		
	$detailsTablesData["provider"][$dIndex] = $detailsParam;

	
		$detailsTablesData["provider"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["provider"][$dIndex]["masterKeys"][]="provider_id";

				$detailsTablesData["provider"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["provider"][$dIndex]["detailKeys"][]="service_provider_provider_provider_id";
//	provider_timing
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="provider_timing";
		$detailsParam["dOriginalTable"] = "provider_timing";
		$detailsParam["proceedLink"] = true;
				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "provider_timing";
	$detailsParam["dCaptionTable"] = GetTableCaption("provider_timing");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();

	$detailsParam["dispChildCount"] = "1";

		$detailsParam["hideChild"] = false;
						$detailsParam["previewOnList"] = "1";
		$detailsParam["previewOnAdd"] = 1;
		$detailsParam["previewOnEdit"] = 1;
		$detailsParam["previewOnView"] = 1;
		
	$detailsTablesData["provider"][$dIndex] = $detailsParam;

	
		$detailsTablesData["provider"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["provider"][$dIndex]["masterKeys"][]="provider_id";

				$detailsTablesData["provider"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["provider"][$dIndex]["detailKeys"][]="provider_timing_provider_provider_id";
//	appoitment
	
	

		$dIndex = 2;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="appoitment";
		$detailsParam["dOriginalTable"] = "appoitment";
		$detailsParam["proceedLink"] = true;
				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "appoitment";
	$detailsParam["dCaptionTable"] = GetTableCaption("appoitment");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();

	$detailsParam["dispChildCount"] = "1";

		$detailsParam["hideChild"] = false;
						$detailsParam["previewOnList"] = "1";
		$detailsParam["previewOnAdd"] = 0;
		$detailsParam["previewOnEdit"] = 0;
		$detailsParam["previewOnView"] = 0;
		
	$detailsTablesData["provider"][$dIndex] = $detailsParam;

	
		$detailsTablesData["provider"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["provider"][$dIndex]["masterKeys"][]="provider_id";

				$detailsTablesData["provider"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["provider"][$dIndex]["detailKeys"][]="appoitment_provider_provider_id";

// tables which are master tables for current table (detail)
$masterTablesData["provider"] = array();


// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_provider()
{
$proto3=array();
$proto3["m_strHead"] = "SELECT";
$proto3["m_strFieldList"] = "provider_id,  	provider_business_business_id,  	provider_title_ar,  	provider_title_en,  	provider_tel,  	provider_email,  	provider_status";
$proto3["m_strFrom"] = "FROM provider";
$proto3["m_strWhere"] = "";
$proto3["m_strOrderBy"] = "";
	
		;
			$proto3["cipherer"] = null;
$proto5=array();
$proto5["m_sql"] = "";
$proto5["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto5["m_column"]=$obj;
$proto5["m_contained"] = array();
$proto5["m_strCase"] = "";
$proto5["m_havingmode"] = false;
$proto5["m_inBrackets"] = false;
$proto5["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto5);

$proto3["m_where"] = $obj;
$proto7=array();
$proto7["m_sql"] = "";
$proto7["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto7["m_column"]=$obj;
$proto7["m_contained"] = array();
$proto7["m_strCase"] = "";
$proto7["m_havingmode"] = false;
$proto7["m_inBrackets"] = false;
$proto7["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto7);

$proto3["m_having"] = $obj;
$proto3["m_fieldlist"] = array();
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "provider_id",
	"m_strTable" => "provider",
	"m_srcTableName" => "provider"
));

$proto9["m_sql"] = "provider_id";
$proto9["m_srcTableName"] = "provider";
$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto3["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "provider_business_business_id",
	"m_strTable" => "provider",
	"m_srcTableName" => "provider"
));

$proto11["m_sql"] = "provider_business_business_id";
$proto11["m_srcTableName"] = "provider";
$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto3["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "provider_title_ar",
	"m_strTable" => "provider",
	"m_srcTableName" => "provider"
));

$proto13["m_sql"] = "provider_title_ar";
$proto13["m_srcTableName"] = "provider";
$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto3["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "provider_title_en",
	"m_strTable" => "provider",
	"m_srcTableName" => "provider"
));

$proto15["m_sql"] = "provider_title_en";
$proto15["m_srcTableName"] = "provider";
$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto3["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "provider_tel",
	"m_strTable" => "provider",
	"m_srcTableName" => "provider"
));

$proto17["m_sql"] = "provider_tel";
$proto17["m_srcTableName"] = "provider";
$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto3["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "provider_email",
	"m_strTable" => "provider",
	"m_srcTableName" => "provider"
));

$proto19["m_sql"] = "provider_email";
$proto19["m_srcTableName"] = "provider";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto3["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "provider_status",
	"m_strTable" => "provider",
	"m_srcTableName" => "provider"
));

$proto21["m_sql"] = "provider_status";
$proto21["m_srcTableName"] = "provider";
$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto3["m_fieldlist"][]=$obj;
$proto3["m_fromlist"] = array();
												$proto23=array();
$proto23["m_link"] = "SQLL_MAIN";
			$proto24=array();
$proto24["m_strName"] = "provider";
$proto24["m_srcTableName"] = "provider";
$proto24["m_columns"] = array();
$proto24["m_columns"][] = "provider_id";
$proto24["m_columns"][] = "provider_business_business_id";
$proto24["m_columns"][] = "provider_title_ar";
$proto24["m_columns"][] = "provider_title_en";
$proto24["m_columns"][] = "provider_tel";
$proto24["m_columns"][] = "provider_email";
$proto24["m_columns"][] = "provider_status";
$obj = new SQLTable($proto24);

$proto23["m_table"] = $obj;
$proto23["m_sql"] = "provider";
$proto23["m_alias"] = "";
$proto23["m_srcTableName"] = "provider";
$proto25=array();
$proto25["m_sql"] = "";
$proto25["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto25["m_column"]=$obj;
$proto25["m_contained"] = array();
$proto25["m_strCase"] = "";
$proto25["m_havingmode"] = false;
$proto25["m_inBrackets"] = false;
$proto25["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto25);

$proto23["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto23);

$proto3["m_fromlist"][]=$obj;
$proto3["m_groupby"] = array();
$proto3["m_orderby"] = array();
$proto3["m_srcTableName"]="provider";		
$obj = new SQLQuery($proto3);

	return $obj;
}
$queryData_provider = createSqlQuery_provider();


	
		;

							

$tdataprovider[".sqlquery"] = $queryData_provider;

$tableEvents["provider"] = new eventsBase;
$tdataprovider[".hasEvents"] = false;

?>